Package org.globus.ftp.dc

# Class ActiveConnectTask

java.lang.Object
org.globus.ftp.dc.Task
org.globus.ftp.dc.ActiveConnectTask

public class ActiveConnectTask extends Task
Makes a connection to a remote data channel (FTPClient use only).

## Field Summary

Fields
Modifier and Type
Field
Description
`protected TransferContext`
`context`
`protected BasicServerControlChannel`
`control`
`protected DataChannelFactory`
`factory`
`protected HostPort`
`hostPort`
`protected static org.apache.commons.logging.Log`
`logger`
`protected SocketBox`
`mySocketBox`
`protected Session`
`session`
`protected DataSink`
`sink`
`protected DataSource`
`source`

### Fields inherited from class org.globus.ftp.dc.Task

`complete, exception`

## Constructor Summary

Constructors
Constructor
Description
`ActiveConnectTask(HostPort hostPort, DataSink sink, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`
`ActiveConnectTask(HostPort hostPort, DataSource source, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`
`protected SocketBox`
`openSocket()`
Override this to implement authentication
`void`
`stop()`

### Methods inherited from class org.globus.ftp.dc.Task

`setComplete, waitFor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected static org.apache.commons.logging.Log logger

### hostPort

protected HostPort hostPort

### mySocketBox

protected SocketBox mySocketBox

### sink

protected DataSink sink

### source

protected DataSource source

### control

protected BasicServerControlChannel control

### session

protected Session session

### factory

protected DataChannelFactory factory

### context

protected TransferContext context

## Constructor Details

### ActiveConnectTask

public ActiveConnectTask(HostPort hostPort, DataSink sink, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)

### ActiveConnectTask

public ActiveConnectTask(HostPort hostPort, DataSource source, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)

## Method Details

### execute

public void execute()

Specified by:
  `execute` in class `Task`

### openSocket

protected SocketBox openSocket() throws Exception
Override this to implement authentication

Throws:
  `Exception`

### stop

public void stop()

Overrides:
  `stop` in class `Task`